Energia

## replace()

#### Description

The String replace() function allows you to replace all instances of a given character with another character. You can also use replace to replace substrings of a string with a different substring.

#### Syntax

string.replace(substring1, substring2)

#### Parameters

string: a variable of type String
substring1: another variable of type String
substring2: another variable of type String

#### Returns

another String containing the new string with replaced characters.

#### Example

- StringReplace

#### See also

- substring()
- toLowerCase()
- toUpperCase()

Reference Home

Corrections, suggestions, and new documentation should be posted to the Forum.

The text of the Energia Reference is licensed under a Creative Commons Attribution-ShareAlike 3.0 License. Energia reference is based on Arduino reference. Code samples in the reference are released into the public domain.

©Energia | Edit Page | Page History | Printable View | All Recent Site Changes